## libreoffice 5.2.7

=== odk/examples/java/Drawing/Makefile ===
#*************************************************************************
#
#  The Contents of this file are made available subject to the terms of
#  the BSD license.
#  
#  Copyright 2000, 2010 Oracle and/or its affiliates.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of Sun Microsystems, Inc. nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
#  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
#  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
#  OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
#  TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
#  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#     
#**************************************************************************

# Builds the Java Drawing example of the SDK.

PRJ=../../..
SETTINGS=$(PRJ)/settings

include $(SETTINGS)/settings.mk
include $(SETTINGS)/std.mk

# Define non-platform/compiler specific settings
EXAMPLE_NAME=JavaDrawingExample
OUT_APP_CLASS = $(OUT_CLASS)/$(EXAMPLE_NAME)

APP1_NAME=SDraw
APP1_JAR=$(OUT_APP_CLASS)/$(APP1_NAME).jar

SDK_CLASSPATH = $(subst $(EMPTYSTRING) $(PATH_SEPARATOR),$(PATH_SEPARATOR),$(CLASSPATH)\
		$(PATH_SEPARATOR)$(OUT_APP_CLASS))

# Targets
.PHONY: ALL
ALL : \
    $(EXAMPLE_NAME)

include $(SETTINGS)/stdtarget.mk

$(OUT_APP_CLASS)/%.class : %.java
	-$(MKDIR) $(subst /,$(PS),$(@D))
	$(SDK_JAVAC) $(JAVAC_FLAGS) -classpath "$(SDK_CLASSPATH)" -d $(OUT_APP_CLASS) $<

$(OUT_APP_CLASS)/%.mf :
	-$(MKDIR) $(subst /,$(PS),$(@D))

	@echo Main-Class: com.sun.star.lib.loader.Loader> $@
	$(ECHOLINE)>> $@
	@echo Name: com/sun/star/lib/loader/Loader.class>> $@
	@echo Application-Class: $*>> $@

$(OUT_APP_CLASS)/%.jar : $(OUT_APP_CLASS)/%.mf $(OUT_APP_CLASS)/%.class
	-$(MKDIR) $(subst /,$(PS),$(@D))
	+cd $(subst /,$(PS),$(OUT_APP_CLASS)) && $(SDK_JAR) cvfm $(@F) $*.mf $*.class
	+$(SDK_JAR) uvf $@ $(SDK_JAVA_UNO_BOOTSTRAP_FILES)

$(APP1_JAR) : $(OUT_APP_CLASS)/$(APP1_NAME).mf $(OUT_APP_CLASS)/$(APP1_NAME).class

$(EXAMPLE_NAME) : $(APP1_JAR)
	@echo --------------------------------------------------------------------------------
	@echo Please use the following command to execute the example!
	@echo -
	@echo $(MAKE) SDraw.run
	@echo --------------------------------------------------------------------------------

%.run: $(OUT_APP_CLASS)/%.jar
	$(SDK_JAVA) -Dcom.sun.star.lib.loader.unopath="$(OFFICE_PROGRAM_PATH)" -jar $<

.PHONY: clean
clean :
	-$(DELRECURSIVE) $(subst /,$(PS),$(OUT_APP_CLASS))

=== debian/changelog ===
libreoffice (1:5.2.7-1+deb9u11) stretch-security; urgency=medium

  * debian/patches/expand-pyuno-path-separators.diff.
    debian/patches/construct-final-url-from-parsed-output.diff,
    debian/patches/an-absolute-uri-is-invalid-input.diff,
    debian/patches/Improve-check-for-absolute-URI.diff,
    debian/patches/Improve-check.diff: add from
    libreoffice-6-3(-0,-1) branch - more fixes...
    (CVE-2019-9854/CVE-2019-9855)

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Sep 2019 11:53:15 +0200

libreoffice (1:5.2.7-1+deb9u10) stretch-security; urgency=high

  * debian/patches/expand-LibreLogo-checks-to-global-events.diff,
    debian/patches/decode-url-escape-codes-and-check-each-path-segment.diff:
    debian/patches/keep-name-percent-encoded.diff
    debian/patches/Properly-obtain-location.diff:
    backport from libreoffice-6-3-0 branch - more fixes for CVE-2019-9848 and
    CVE-2018-16858
    (CVE-2019-9850/CVE-2019-9851/CVE-2019-9852/CVE-2019-9853)

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Aug 2019 20:20:01 +0200

libreoffice (1:5.2.7-1+deb9u9) stretch-security; urgency=high

  * debian/patches/More-uses-of-referer-URL-with-SvxBrushItem.diff:
    backport patch from libreoffice-6-2 branch to fix CVE-2019-9849 

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Jun 2019 21:54:44 +0200

libreoffice (1:5.2.7-1+deb9u8) stretch-security; urgency=high

  * debian/patches/sanitize-LibreLogo-calls.diff,
    debian/patches/explictly-exclude-LibreLogo-from-XScript-usage.diff:
    add from git; fixing CVE-2019-9848

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Jun 2019 10:31:22 +0200

libreoffice (1:5.2.7-1+deb9u7) stretch; urgency=medium

  * debian/patches/mention-java-common-package.diff: update message to
    reflect current config dir...
  * debian/patches/disableClassPathURLCheck.diff: revert openjdk is fixed

  * debian/control.in:
    - make -core conflict against openjdk-8-jre-headless (= 8u181-b13-2~deb9u1)
      (closes: 913641#) and build-conflict against it

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Jan 2019 18:51:09 +0100

libreoffice (1:5.2.7-1+deb9u6) stable; urgency=medium

   * debian/patches/jp-JP-Reiwa.diff: Introduce next Japanese gengou
     era 'Reiwa', from libreoffice-6-1 branch

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2019 21:48:53 +0200

libreoffice (1:5.2.7-1+deb9u5) stretch-security; urgency=high

  * debian/patches/disableClassPathURLCheck.diff: add workaround to
    fix build with openjdks with S8195874 included - add
    -Djdk.net.URLClassPath.disableClassPathURLCheck=true to JAVAIFLAGS;
    see https://gerrit.libreoffice.org/#/c/63118/2

  * debian/patches/keep-pyuno-script-processing-below-base-uri.diff: as name
    says (CVE-2018-16858)
  * debian/patches/show-partial-signatures-even-if-cert-validation-fails.diff:
    as name says (CERT-Bund#2018100828000257), but backport the non-UI parts only
    - the "signing already existing PDFs" feature doesn't exist here yet

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Jan 2019 18:51:09 +0100

libreoffice (1:5.2.7-1+deb9u4) stretch-security; urgency=high

  * debian/patches/CVE-2018-10119.diff,
    debian/patches/CVE-2018-10120.diff: as name says...

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Apr 2018 17:17:55 +0200

libreoffice (1:5.2.7-1+deb9u3) stretch; urgency=medium

  * debian/patches/WEBSERVICE-DDE.diff:
    - improve to not throw more errors than neccessary (use the right error
      code) on WEBSERVICE() failures, thanks Jan-Marek Glogowski; do another
      s/FormulaError::NoValue/formula::errNoValue/ for clarity
    - backport 4a412bdf0387cc2cb59d656d0738a63a286ec497 from 5.4 branch
      to let FunctionAccess execute WEBSERVICE

  * debian/rules:
    - do not run the tests except on i386 (notfatal) and amd64
    - move dk.mk from -dev-common to -dev as it's not arch-indep, thanks
      Rico Tzschichholz

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Feb 2018 11:14:18 +0100

libreoffice (1:5.2.7-1+deb9u2) stretch-security; urgency=high

  * fix control

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Feb 2018 07:22:22 +0100

libreoffice (1:5.2.7-1+deb9u1) stretch-security; urgency=high

  * debian/patches/WEBSERVICE-DDE.diff: backport fix for "Remote arbitrary
    file disclosure vulnerability via WEBSERVICE formula" (CVE-2018-1055) from
    5.4
  * debian/patches/layout-footnote-use-after-free.diff: add; as name says.
    possible patch for iDefense V-mct3ei5wml

  * debian/rules:
    - make i386 make check notfatal for now given the i386 Java Stack Clash
      regression

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Feb 2018 19:02:13 +0100

libreoffice (1:5.2.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control.in:
    - add missing -java-common Depends: to -script-provider-{bsh,js}
  * debian/control.mediawiki.in:
    - add missing JRE depends
  (thanks to Daniel Richard G. for those two, see #858655)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 May 2017 20:18:44 +0200

libreoffice (1:5.2.6-2) unstable; urgency=medium

  * debian/rules:
    - move /usr/include/libreoffice/sal/typesizes.h symlink to -dev
      instead of -dev-common (closes: #858199)

 -- Rene Engelhard <rene@debian.org>  Mon, 20 Mar 2017 11:46:38 +0100

libreoffice (1:5.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Mar 2017 16:48:43 +0100

libreoffice (1:5.2.5-2) unstable; urgency=medium

  * debian/libreoffice.maintscript: revert dir_to_symlink, add new
    symlink_to_dir for stretch/sid upgrades
  * debian/rules: ignore "libreoffice" for --link-doc
  * debian/rules, debian/libreoffice-dev-doc.links, debian/lo*.in:
    install SDK documentation into /usr/share/doc/libreoffice/sdk (and adapt
    dev-docs symlinks/doc-base stuff). Remove extra license file (thanks
    lintian) which otherwise would still install over the symlink.
  * debian/control.sdk.in: update -devs libreoffice-dev-doc Conflicts to


=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant (>= 1.7.0) [!mips64],
               ant-optional (>= 1.7.0) [!mips64],
               autoconf,
               automake,
               bc,
               binutils (>= 2.23) [mips mipsel],
               bison,
               bzip2,
               chromium (>= 39.0.2171.71-1) [i386 amd64 armhf arm64],
               coinor-libcoinmp-dev (>= 1.7.6+dfsg1-2),
               coinor-libcoinutils-dev (>= 2.9.15-3.1),
               debhelper (>= 9.20160114),
               default-jdk (>= 1:1.7-48) [ia64],
               default-jdk (>= 2:1.7-52.1) [kfreebsd-any],
               default-jdk (>= 2:1.8-55) [sparc64],
               default-jdk [!mips64],
               default-libmysqlclient-dev,
               dh-python,
               dpkg-dev (>= 1.18.2~),
               fastjar,
               flex (>= 2.3.35),
               fontconfig [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               fonts-crosextra-carlito [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               fonts-liberation [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               g++-6 [hppa ia64 s390 sparc],
               gcc-6 [hppa ia64 s390 sparc],
               gcj-jdk [hppa ia64 s390 sparc],
               gcj-native-helper [hppa ia64 s390 sparc],
               gdb [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               gettext,
               gobject-introspection (>= 1.32.0),
               gperf,
               java-common (>= 0.49),
               javahelper (>= 0.37~),
               junit4 (>= 4.8.2-2) [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               kdelibs5-dev (>= 4:4.3.4),
               libabw-dev (>= 0.1),
               libarchive-zip-perl,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.58),
               libboost-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-iostreams-dev (>= 1.58),
               libboost-system-dev (>= 1.58),
               libbz2-dev,
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libc6 (>= 2.17-6) [mips mipsel],
               libcairo2-dev,
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcmis-dev (>= 0.5.0-3),
               libcollada2gltfconvert-dev (>= 20140924-2)[amd64 i386],
               libcppunit-dev (>= 1.13.2-2.1),
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev (>= 0.70),
               libdconf-dev,
               libe-book-dev,
               libebook1.2-dev,
               libeot-dev,
               libetonyek-dev,
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfontconfig1-dev,
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc],
               libgirepository1.0-dev (>= 1.32),
               libgl1-mesa-dev,
               libglew-dev,
               libglib2.0-dev (>= 2.15.0),
               libglm-dev (>= 0.9.6.3),
               libgltf-dev (>= 0.0.2-4),
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.8~),
               libgtk2.0-dev (>= 2.10),
               libharfbuzz-dev (>= 0.9.18),
               libhsqldb1.8.0-java (>> 1.8.0.10) [!mips64],
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (>= 1.2),
               libmspub-dev (>= 0.1),
               libmwaw-dev (>= 0.3.1),
               libmysqlcppconn-dev (>= 1.1.7-4),
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnss3-dev (>= 3.12.3),
               libo3dgc-dev (>= 0~20131011-2) [amd64 i386],
               libodfgen-dev (>= 0.1),
               liborcus-dev (>= 0.11.2),
               libpagemaker-dev,
               libpcre3-dev [amd64 i386],
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.12.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt4-dev (>= 4:4.8),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libvisio-dev (>= 0.1),
               libvlc5,
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               make (>= 3.81-8.2),
               maven-repo-helper,
               opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2) [amd64 i386],
               pkg-config,
               python3,
               python3-dev (>= 3.3),
               rapidjson-dev [amd64 i386],
               ucpp,
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.8.4) <!nodoc>,
                     fdupes,
                     g++-mingw-w64-i686,
                     libbase-java [!hppa !ia64 !mips64 !s390 !sparc],
                     libbsh-java,
                     libcommons-logging-java [!mips64],
                     libflute-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libfonts-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libformula-java (>= 1.1.7) [!hppa !ia64 !mips64 !s390 !sparc],
                     liblayout-java (>= 0.2.10) [!hppa !ia64 !mips64 !s390 !sparc],
                     libloader-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !ia64 !mips64 !s390 !sparc],
                     librepository-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libsac-java [!hppa !ia64 !mips64 !s390 !sparc],
                     libserializer-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libxml-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc]
Build-Conflicts: amd-libopencl1,
                 ant (= 1.8.0-1) [hppa ia64 s390 sparc],
                 ant (= 1.8.0-2) [hppa ia64 s390 sparc],
                 ant (= 1.8.0-3) [hppa ia64 s390 sparc],
                 flex (= 2.5.34-1) [amd64],
                 g++-4.6 (= 4.6.1-10),
                 g++-4.6 (= 4.6.1-11),
                 g++-4.7 (<< 4.7.1-3),
                 gcj-4.2 (= 4.2.2-6),
                 gjdoc (= 0.7.8-2),
                 libboost1.39-dev (<< 1.39.0-2),
                 libc0.1-dev (= 2.13-26) [kfreebsd-i386 kfreebsd-amd64],
                 libc6-dev (= 2.6.1-3) [i386 amd64],
                 libc6-dev (= 2.6.1-4) [i386 amd64],
                 libcairo2 (= 1.4.8-1),
                 libxul-dev (= 1.8.0.13~pre070720-0etch1),
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1,
                 openjdk-8-jre-headless (= 8u181-b13-2~deb9u1),
                 qt3-dev-tools
Standards-Version: 3.9.4
Vcs-Git: https://anonscm.debian.org/git/pkg-openoffice/libreoffice.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-openoffice/libreoffice.git
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
Section: metapackages
Pre-Depends: ${misc:Pre-Depends}
Depends: libreoffice-base [!mips64],
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !ia64 !mips64 !s390 !sparc],
         libreoffice-writer,
         ${avmedia-be-depends},
         ${dejavu-depends},
         ${java-common-depends},
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-linuxlibertine,
            fonts-sil-gentium-basic,
            libreoffice-librelogo,
            libreoffice-nlpsolver,
            libreoffice-ogltrans,
            libreoffice-pdfimport,
            libreoffice-report-builder [!hppa !ia64 !mips64 !s390 !sparc],
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher
Suggests: cups-bsd,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-gnome | libreoffice-kde,
          libreoffice-grammarcheck,
          libreoffice-help-${help-l10n-virtual-version},
          libreoffice-l10n-${help-l10n-virtual-version},
          libsane,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart2-libreoffice | openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2015 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=5.2
OOVER:=5.2
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash
export gb_SHELL:=$(SHELL)

#SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
#FIXME
SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\../\1/p' | cut -d" " -f1)
SYSTEM_GCJ_VERSION = $(shell basename `readlink /usr/lib/jvm/java-gcj/bin/gcj` | sed -e s/gcj-// | sed -e s/$(shell gcj -dumpmachine)-//)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
OOO_VENDOR:=The Document Foundation/Debian
ifeq "$(DEB_VENDOR)" "Ubuntu"
OOO_VENDOR=The Document Foundation, Debian and Ubuntu
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-5-2-7
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    fastjar,\
    flex (>= 2.3.35), \
    gperf,\
    libarchive-zip-perl,\
    libc0.1 (>= 2.10.2-7) [kfreebsd-any],\
    libcups2-dev,\
    libfontconfig1-dev,\
    libfreetype6-dev (>= 2.2.0),\
    libgl1-mesa-dev,\
    libice-dev,\
    libsm-dev,\
    libx11-dev,\
    libxaw7-dev,\
    libxext-dev,\
    libxinerama-dev,\
    libxkbfile-dev,\
    libxrender-dev,\
    libxt-dev,\
    libxtst-dev,\
    pkg-config,\
    unzip,\
    x11proto-render-dev,\
    xsltproc,\
    zip,\
    zlib1g-dev\


CHECKTARGET:=check
# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
export PYTHON=python3
else
  PYTHON=python$(PYTHON_VERSION)
export PYTHON=python$(PYTHON_VERSION)
endif
PACKAGE_TTF_OPENSYMBOL=y
BUILD_ONLY_EN_US=n
ENABLE_JAVA=y
ifeq "$(ENABLE_JAVA)" "y"
  JDK=default
  include /usr/share/java/java_defaults.mk
  ifneq "$(JDK)" "default"
    JAVA_MAINVER=7
    ifneq (,$(filter hppa, $(DEB_HOST_ARCH)))
    JDK=gcj-jdk
    endif
  endif
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
SYSTEM_STUFF += hunspell
HUNSPELL_MIN_VER= (>= 1.1.5-2)
SYSTEM_STUFF += altlinuxhyph
USE_LIBHYPHEN=y
LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
LIBHYPHEN_MINVER= (>= 2.4)
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 5 && echo true)" "true"
    BOOST_MINVER= (>= 1.58)
  else
    BOOST_MINVER= (>= 1.55)
  endif
endif
SYSTEM_STUFF += mdds
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
ICU_MINVER= (>= 52)
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
CAIRO_FONTS_PATCH=y
BUILD_KDE=y
# < 4.8 fails with gcc 4.7, see #667911
QT_MINVER= (>= 4:4.8)
KDELIBS_MINVER= (>= 4:4.3.4)
BUILD_DBG_PACKAGE=n
ifneq (noddebs,$(findstring noddebs,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
endif

ifeq "$(BUILD_DBGSYM_PACKAGES)$(BUILD_DBG_PACKAGE)" "yy"
$(error only either -dbgsym or -dbg allowed)
endif
# this changes the packages' built/contents of packages (-subsequentcheckbase)
# This is not exactly allowed in policy but it doesn't have real practical difference,
# does it?
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  BUILD_TEST_PACKAGE=y
endif
ifeq "$(shell echo $(BUILD_DBGSYM_PACKAGES)$(BUILD_DBG_PACKAGE) | grep -q y && echo true)" "true"
  ENABLE_SYMBOLS=y
  SMALL_SYMBOLS=y
endif
ifeq "$(ENABLE_JAVA)" "y"
  # NOTE: If you change this while gcj/ant multiarch combo is still broken
  # you need to disable bsh scripting engine completely (see disable-rhino.diff)
  # See http://lists.debian.org/debian-java/2011/06/msg00108.html and replies
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
  HSQLDB_MINVER= (>> 1.8.0.10)
  HSQLDB_TOONEWVER=1.8.1
  HSQLDB_JAR=/usr/share/java/hsqldb1.8.0.jar
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 5 && echo true)" "true"
COINMP_MINVER=(>= 1.7.6+dfsg1-2)
COINUTILS_MINVER=(>= 2.9.15-3.1)
else
COINMP_MINVER=
COINUTILS_MINVER=
endif
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"
  ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
    ENABLE_BLUETOOTH=n
  else
    ENABLE_BLUETOOTH=y
    SYSTEM_STUFF += bluez
  endif
    ENABLE_PACKAGEKIT=n
endif
ENABLE_AVAHI=y
USE_GSTREAMER=y
USE_VLC=y
ENABLE_WEBDAV=y
ifeq "$(ENABLE_WEBDAV)" "y"
WEBDAV_LIB=neon
  ifeq "$(WEBDAV_LIB)" "neon"
    SYSTEM_STUFF += neon
    NEON_SECTYPE=gnutls
    NEONSONR=27
  else
   SYSTEM_STUFF += apr
   SYSTEM_STUFF += serf
  endif
endif
SYSTEM_STUFF += redland
PACKAGE_SDK=y

=== debian/tests/control ===
Tests: junit-subsequentcheck

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://download.documentfoundation.org/libreoffice/src/(\d.\d.\d)/libreoffice-(\d.\d.\d).\d.tar.xz
